xref: /freebsd/contrib/openpam/t/Makefile.in (revision d93a896e)
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $OpenPAM: Makefile.am 938 2017-04-30 21:34:42Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \	]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93@WITH_TEST_TRUE@TESTS = t_openpam_ctype$(EXEEXT) \
94@WITH_TEST_TRUE@	t_openpam_dispatch$(EXEEXT) \
95@WITH_TEST_TRUE@	t_openpam_readword$(EXEEXT) \
96@WITH_TEST_TRUE@	t_openpam_readlinev$(EXEEXT)
97@WITH_TEST_TRUE@check_PROGRAMS = $(am__EXEEXT_1)
98@WITH_SYSTEM_LIBPAM_TRUE@@WITH_TEST_TRUE@am__append_1 = $(SYSTEM_LIBPAM)
99@WITH_SYSTEM_LIBPAM_FALSE@@WITH_TEST_TRUE@am__append_2 = $(top_builddir)/lib/libpam/libpam.la
100subdir = t
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
103	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
104	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
105	$(top_srcdir)/configure.ac
106am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
107	$(ACLOCAL_M4)
108DIST_COMMON = $(srcdir)/Makefile.am $(am__noinst_HEADERS_DIST) \
109	$(am__DIST_COMMON)
110mkinstalldirs = $(install_sh) -d
111CONFIG_HEADER = $(top_builddir)/config.h
112CONFIG_CLEAN_FILES =
113CONFIG_CLEAN_VPATH_FILES =
114ARFLAGS = cru
115AM_V_AR = $(am__v_AR_@AM_V@)
116am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
117am__v_AR_0 = @echo "  AR      " $@;
118am__v_AR_1 =
119libt_a_AR = $(AR) $(ARFLAGS)
120libt_a_LIBADD =
121am__libt_a_SOURCES_DIST = t_pam_conv.c
122@WITH_TEST_TRUE@am_libt_a_OBJECTS = t_pam_conv.$(OBJEXT)
123libt_a_OBJECTS = $(am_libt_a_OBJECTS)
124@WITH_TEST_TRUE@am__EXEEXT_1 = t_openpam_ctype$(EXEEXT) \
125@WITH_TEST_TRUE@	t_openpam_dispatch$(EXEEXT) \
126@WITH_TEST_TRUE@	t_openpam_readword$(EXEEXT) \
127@WITH_TEST_TRUE@	t_openpam_readlinev$(EXEEXT)
128t_openpam_ctype_SOURCES = t_openpam_ctype.c
129t_openpam_ctype_OBJECTS = t_openpam_ctype.$(OBJEXT)
130t_openpam_ctype_LDADD = $(LDADD)
131am__DEPENDENCIES_1 =
132@WITH_SYSTEM_LIBPAM_TRUE@@WITH_TEST_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
133@WITH_TEST_TRUE@t_openpam_ctype_DEPENDENCIES = $(am__DEPENDENCIES_1) \
134@WITH_TEST_TRUE@	libt.a $(am__DEPENDENCIES_2) $(am__append_2)
135AM_V_lt = $(am__v_lt_@AM_V@)
136am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
137am__v_lt_0 = --silent
138am__v_lt_1 =
139t_openpam_dispatch_SOURCES = t_openpam_dispatch.c
140t_openpam_dispatch_OBJECTS = t_openpam_dispatch.$(OBJEXT)
141t_openpam_dispatch_LDADD = $(LDADD)
142@WITH_TEST_TRUE@t_openpam_dispatch_DEPENDENCIES =  \
143@WITH_TEST_TRUE@	$(am__DEPENDENCIES_1) libt.a \
144@WITH_TEST_TRUE@	$(am__DEPENDENCIES_2) $(am__append_2)
145t_openpam_readlinev_SOURCES = t_openpam_readlinev.c
146t_openpam_readlinev_OBJECTS = t_openpam_readlinev.$(OBJEXT)
147t_openpam_readlinev_LDADD = $(LDADD)
148@WITH_TEST_TRUE@t_openpam_readlinev_DEPENDENCIES =  \
149@WITH_TEST_TRUE@	$(am__DEPENDENCIES_1) libt.a \
150@WITH_TEST_TRUE@	$(am__DEPENDENCIES_2) $(am__append_2)
151t_openpam_readword_SOURCES = t_openpam_readword.c
152t_openpam_readword_OBJECTS = t_openpam_readword.$(OBJEXT)
153t_openpam_readword_LDADD = $(LDADD)
154@WITH_TEST_TRUE@t_openpam_readword_DEPENDENCIES =  \
155@WITH_TEST_TRUE@	$(am__DEPENDENCIES_1) libt.a \
156@WITH_TEST_TRUE@	$(am__DEPENDENCIES_2) $(am__append_2)
157AM_V_P = $(am__v_P_@AM_V@)
158am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
159am__v_P_0 = false
160am__v_P_1 = :
161AM_V_GEN = $(am__v_GEN_@AM_V@)
162am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
163am__v_GEN_0 = @echo "  GEN     " $@;
164am__v_GEN_1 =
165AM_V_at = $(am__v_at_@AM_V@)
166am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
167am__v_at_0 = @
168am__v_at_1 =
169DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
170depcomp = $(SHELL) $(top_srcdir)/depcomp
171am__depfiles_maybe = depfiles
172am__mv = mv -f
173COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
174	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
175LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
176	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
177	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
178	$(AM_CFLAGS) $(CFLAGS)
179AM_V_CC = $(am__v_CC_@AM_V@)
180am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
181am__v_CC_0 = @echo "  CC      " $@;
182am__v_CC_1 =
183CCLD = $(CC)
184LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
185	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
186	$(AM_LDFLAGS) $(LDFLAGS) -o $@
187AM_V_CCLD = $(am__v_CCLD_@AM_V@)
188am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
189am__v_CCLD_0 = @echo "  CCLD    " $@;
190am__v_CCLD_1 =
191SOURCES = $(libt_a_SOURCES) t_openpam_ctype.c t_openpam_dispatch.c \
192	t_openpam_readlinev.c t_openpam_readword.c
193DIST_SOURCES = $(am__libt_a_SOURCES_DIST) t_openpam_ctype.c \
194	t_openpam_dispatch.c t_openpam_readlinev.c \
195	t_openpam_readword.c
196am__can_run_installinfo = \
197  case $$AM_UPDATE_INFO_DIR in \
198    n|no|NO) false;; \
199    *) (install-info --version) >/dev/null 2>&1;; \
200  esac
201am__noinst_HEADERS_DIST = t_pam_conv.h
202HEADERS = $(noinst_HEADERS)
203am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
204# Read a list of newline-separated strings from the standard input,
205# and print each of them once, without duplicates.  Input order is
206# *not* preserved.
207am__uniquify_input = $(AWK) '\
208  BEGIN { nonempty = 0; } \
209  { items[$$0] = 1; nonempty = 1; } \
210  END { if (nonempty) { for (i in items) print i; }; } \
211'
212# Make sure the list of sources is unique.  This is necessary because,
213# e.g., the same source file might be shared among _SOURCES variables
214# for different programs/libraries.
215am__define_uniq_tagged_files = \
216  list='$(am__tagged_files)'; \
217  unique=`for i in $$list; do \
218    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
219  done | $(am__uniquify_input)`
220ETAGS = etags
221CTAGS = ctags
222am__tty_colors_dummy = \
223  mgn= red= grn= lgn= blu= brg= std=; \
224  am__color_tests=no
225am__tty_colors = { \
226  $(am__tty_colors_dummy); \
227  if test "X$(AM_COLOR_TESTS)" = Xno; then \
228    am__color_tests=no; \
229  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
230    am__color_tests=yes; \
231  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
232    am__color_tests=yes; \
233  fi; \
234  if test $$am__color_tests = yes; then \
235    red=''; \
236    grn=''; \
237    lgn=''; \
238    blu=''; \
239    mgn=''; \
240    brg=''; \
241    std=''; \
242  fi; \
243}
244am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
245am__vpath_adj = case $$p in \
246    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
247    *) f=$$p;; \
248  esac;
249am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
250am__install_max = 40
251am__nobase_strip_setup = \
252  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
253am__nobase_strip = \
254  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
255am__nobase_list = $(am__nobase_strip_setup); \
256  for p in $$list; do echo "$$p $$p"; done | \
257  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
258  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
259    if (++n[$$2] == $(am__install_max)) \
260      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
261    END { for (dir in files) print dir, files[dir] }'
262am__base_list = \
263  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
264  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
265am__uninstall_files_from_dir = { \
266  test -z "$$files" \
267    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
268    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
269         $(am__cd) "$$dir" && rm -f $$files; }; \
270  }
271am__recheck_rx = ^[ 	]*:recheck:[ 	]*
272am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
273am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
274# A command that, given a newline-separated list of test names on the
275# standard input, print the name of the tests that are to be re-run
276# upon "make recheck".
277am__list_recheck_tests = $(AWK) '{ \
278  recheck = 1; \
279  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
280    { \
281      if (rc < 0) \
282        { \
283          if ((getline line2 < ($$0 ".log")) < 0) \
284	    recheck = 0; \
285          break; \
286        } \
287      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
288        { \
289          recheck = 0; \
290          break; \
291        } \
292      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
293        { \
294          break; \
295        } \
296    }; \
297  if (recheck) \
298    print $$0; \
299  close ($$0 ".trs"); \
300  close ($$0 ".log"); \
301}'
302# A command that, given a newline-separated list of test names on the
303# standard input, create the global log from their .trs and .log files.
304am__create_global_log = $(AWK) ' \
305function fatal(msg) \
306{ \
307  print "fatal: making $@: " msg | "cat >&2"; \
308  exit 1; \
309} \
310function rst_section(header) \
311{ \
312  print header; \
313  len = length(header); \
314  for (i = 1; i <= len; i = i + 1) \
315    printf "="; \
316  printf "\n\n"; \
317} \
318{ \
319  copy_in_global_log = 1; \
320  global_test_result = "RUN"; \
321  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
322    { \
323      if (rc < 0) \
324         fatal("failed to read from " $$0 ".trs"); \
325      if (line ~ /$(am__global_test_result_rx)/) \
326        { \
327          sub("$(am__global_test_result_rx)", "", line); \
328          sub("[ 	]*$$", "", line); \
329          global_test_result = line; \
330        } \
331      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
332        copy_in_global_log = 0; \
333    }; \
334  if (copy_in_global_log) \
335    { \
336      rst_section(global_test_result ": " $$0); \
337      while ((rc = (getline line < ($$0 ".log"))) != 0) \
338      { \
339        if (rc < 0) \
340          fatal("failed to read from " $$0 ".log"); \
341        print line; \
342      }; \
343      printf "\n"; \
344    }; \
345  close ($$0 ".trs"); \
346  close ($$0 ".log"); \
347}'
348# Restructured Text title.
349am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
350# Solaris 10 'make', and several other traditional 'make' implementations,
351# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
352# by disabling -e (using the XSI extension "set +e") if it's set.
353am__sh_e_setup = case $$- in *e*) set +e;; esac
354# Default flags passed to test drivers.
355am__common_driver_flags = \
356  --color-tests "$$am__color_tests" \
357  --enable-hard-errors "$$am__enable_hard_errors" \
358  --expect-failure "$$am__expect_failure"
359# To be inserted before the command running the test.  Creates the
360# directory for the log if needed.  Stores in $dir the directory
361# containing $f, in $tst the test, in $log the log.  Executes the
362# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
363# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
364# will run the test scripts (or their associated LOG_COMPILER, if
365# thy have one).
366am__check_pre = \
367$(am__sh_e_setup);					\
368$(am__vpath_adj_setup) $(am__vpath_adj)			\
369$(am__tty_colors);					\
370srcdir=$(srcdir); export srcdir;			\
371case "$@" in						\
372  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
373    *) am__odir=.;; 					\
374esac;							\
375test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
376  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
377if test -f "./$$f"; then dir=./;			\
378elif test -f "$$f"; then dir=;				\
379else dir="$(srcdir)/"; fi;				\
380tst=$$dir$$f; log='$@'; 				\
381if test -n '$(DISABLE_HARD_ERRORS)'; then		\
382  am__enable_hard_errors=no; 				\
383else							\
384  am__enable_hard_errors=yes; 				\
385fi; 							\
386case " $(XFAIL_TESTS) " in				\
387  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
388    am__expect_failure=yes;;				\
389  *)							\
390    am__expect_failure=no;;				\
391esac; 							\
392$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
393# A shell command to get the names of the tests scripts with any registered
394# extension removed (i.e., equivalently, the names of the test logs, with
395# the '.log' extension removed).  The result is saved in the shell variable
396# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
397# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
398# since that might cause problem with VPATH rewrites for suffix-less tests.
399# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
400am__set_TESTS_bases = \
401  bases='$(TEST_LOGS)'; \
402  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
403  bases=`echo $$bases`
404RECHECK_LOGS = $(TEST_LOGS)
405AM_RECURSIVE_TARGETS = check recheck
406TEST_SUITE_LOG = test-suite.log
407TEST_EXTENSIONS = @EXEEXT@ .test
408LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
409LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
410am__set_b = \
411  case '$@' in \
412    */*) \
413      case '$*' in \
414        */*) b='$*';; \
415          *) b=`echo '$@' | sed 's/\.log$$//'`; \
416       esac;; \
417    *) \
418      b='$*';; \
419  esac
420am__test_logs1 = $(TESTS:=.log)
421am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
422TEST_LOGS = $(am__test_logs2:.test.log=.log)
423TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
424TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
425	$(TEST_LOG_FLAGS)
426am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
427	$(top_srcdir)/test-driver
428DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
429ACLOCAL = @ACLOCAL@
430AMTAR = @AMTAR@
431AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
432AR = @AR@
433AUTOCONF = @AUTOCONF@
434AUTOHEADER = @AUTOHEADER@
435AUTOMAKE = @AUTOMAKE@
436AWK = @AWK@
437CC = @CC@
438CCDEPMODE = @CCDEPMODE@
439CFLAGS = @CFLAGS@
440CPP = @CPP@
441CPPFLAGS = @CPPFLAGS@
442CRYB_TEST_LIBS = @CRYB_TEST_LIBS@
443CRYPTO_LIBS = @CRYPTO_LIBS@
444CRYPT_LIBS = @CRYPT_LIBS@
445CYGPATH_W = @CYGPATH_W@
446DEFS = @DEFS@
447DEPDIR = @DEPDIR@
448DLLTOOL = @DLLTOOL@
449DL_LIBS = @DL_LIBS@
450DSYMUTIL = @DSYMUTIL@
451DUMPBIN = @DUMPBIN@
452ECHO_C = @ECHO_C@
453ECHO_N = @ECHO_N@
454ECHO_T = @ECHO_T@
455EGREP = @EGREP@
456EXEEXT = @EXEEXT@
457FGREP = @FGREP@
458GREP = @GREP@
459INSTALL = @INSTALL@
460INSTALL_DATA = @INSTALL_DATA@
461INSTALL_PROGRAM = @INSTALL_PROGRAM@
462INSTALL_SCRIPT = @INSTALL_SCRIPT@
463INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
464LD = @LD@
465LDFLAGS = @LDFLAGS@
466LIBOBJS = @LIBOBJS@
467LIBS = @LIBS@
468LIBTOOL = @LIBTOOL@
469LIB_MAJ = @LIB_MAJ@
470LIPO = @LIPO@
471LN_S = @LN_S@
472LTLIBOBJS = @LTLIBOBJS@
473LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
474MAKEINFO = @MAKEINFO@
475MANIFEST_TOOL = @MANIFEST_TOOL@
476MKDIR_P = @MKDIR_P@
477NM = @NM@
478NMEDIT = @NMEDIT@
479OBJDUMP = @OBJDUMP@
480OBJEXT = @OBJEXT@
481OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
482OTOOL = @OTOOL@
483OTOOL64 = @OTOOL64@
484PACKAGE = @PACKAGE@
485PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
486PACKAGE_NAME = @PACKAGE_NAME@
487PACKAGE_STRING = @PACKAGE_STRING@
488PACKAGE_TARNAME = @PACKAGE_TARNAME@
489PACKAGE_URL = @PACKAGE_URL@
490PACKAGE_VERSION = @PACKAGE_VERSION@
491PATH_SEPARATOR = @PATH_SEPARATOR@
492RANLIB = @RANLIB@
493SED = @SED@
494SET_MAKE = @SET_MAKE@
495SHELL = @SHELL@
496STRIP = @STRIP@
497SYSTEM_LIBPAM = @SYSTEM_LIBPAM@
498VERSION = @VERSION@
499abs_builddir = @abs_builddir@
500abs_srcdir = @abs_srcdir@
501abs_top_builddir = @abs_top_builddir@
502abs_top_srcdir = @abs_top_srcdir@
503ac_ct_AR = @ac_ct_AR@
504ac_ct_CC = @ac_ct_CC@
505ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
506am__include = @am__include@
507am__leading_dot = @am__leading_dot@
508am__quote = @am__quote@
509am__tar = @am__tar@
510am__untar = @am__untar@
511bindir = @bindir@
512build = @build@
513build_alias = @build_alias@
514build_cpu = @build_cpu@
515build_os = @build_os@
516build_vendor = @build_vendor@
517builddir = @builddir@
518datadir = @datadir@
519datarootdir = @datarootdir@
520docdir = @docdir@
521dvidir = @dvidir@
522exec_prefix = @exec_prefix@
523host = @host@
524host_alias = @host_alias@
525host_cpu = @host_cpu@
526host_os = @host_os@
527host_vendor = @host_vendor@
528htmldir = @htmldir@
529includedir = @includedir@
530infodir = @infodir@
531install_sh = @install_sh@
532libdir = @libdir@
533libexecdir = @libexecdir@
534localedir = @localedir@
535localstatedir = @localstatedir@
536mandir = @mandir@
537mkdir_p = @mkdir_p@
538oldincludedir = @oldincludedir@
539pdfdir = @pdfdir@
540prefix = @prefix@
541program_transform_name = @program_transform_name@
542psdir = @psdir@
543sbindir = @sbindir@
544sharedstatedir = @sharedstatedir@
545srcdir = @srcdir@
546sysconfdir = @sysconfdir@
547target_alias = @target_alias@
548top_build_prefix = @top_build_prefix@
549top_builddir = @top_builddir@
550top_srcdir = @top_srcdir@
551@WITH_TEST_TRUE@AM_CPPFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/libpam
552@WITH_TEST_TRUE@AM_TESTS_ENVIRONMENT = \
553@WITH_TEST_TRUE@	PAM_RETURN_SO=$(abs_top_builddir)/modules/pam_return/.libs/pam_return.so
554
555@WITH_TEST_TRUE@noinst_HEADERS = t_pam_conv.h
556
557# libt - common support code
558@WITH_TEST_TRUE@check_LIBRARIES = libt.a
559@WITH_TEST_TRUE@libt_a_SOURCES = t_pam_conv.c
560
561# link with libpam and test framework
562@WITH_TEST_TRUE@LDADD = $(CRYB_TEST_LIBS) libt.a $(am__append_1) \
563@WITH_TEST_TRUE@	$(am__append_2)
564all: all-am
565
566.SUFFIXES:
567.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
568$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
569	@for dep in $?; do \
570	  case '$(am__configure_deps)' in \
571	    *$$dep*) \
572	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
573	        && { if test -f $@; then exit 0; else break; fi; }; \
574	      exit 1;; \
575	  esac; \
576	done; \
577	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign t/Makefile'; \
578	$(am__cd) $(top_srcdir) && \
579	  $(AUTOMAKE) --foreign t/Makefile
580Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
581	@case '$?' in \
582	  *config.status*) \
583	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
584	  *) \
585	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
586	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
587	esac;
588
589$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
590	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
591
592$(top_srcdir)/configure:  $(am__configure_deps)
593	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
594$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
595	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
596$(am__aclocal_m4_deps):
597
598clean-checkLIBRARIES:
599	-test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)
600
601libt.a: $(libt_a_OBJECTS) $(libt_a_DEPENDENCIES) $(EXTRA_libt_a_DEPENDENCIES)
602	$(AM_V_at)-rm -f libt.a
603	$(AM_V_AR)$(libt_a_AR) libt.a $(libt_a_OBJECTS) $(libt_a_LIBADD)
604	$(AM_V_at)$(RANLIB) libt.a
605
606clean-checkPROGRAMS:
607	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
608	echo " rm -f" $$list; \
609	rm -f $$list || exit $$?; \
610	test -n "$(EXEEXT)" || exit 0; \
611	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
612	echo " rm -f" $$list; \
613	rm -f $$list
614
615t_openpam_ctype$(EXEEXT): $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_DEPENDENCIES) $(EXTRA_t_openpam_ctype_DEPENDENCIES)
616	@rm -f t_openpam_ctype$(EXEEXT)
617	$(AM_V_CCLD)$(LINK) $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_LDADD) $(LIBS)
618
619t_openpam_dispatch$(EXEEXT): $(t_openpam_dispatch_OBJECTS) $(t_openpam_dispatch_DEPENDENCIES) $(EXTRA_t_openpam_dispatch_DEPENDENCIES)
620	@rm -f t_openpam_dispatch$(EXEEXT)
621	$(AM_V_CCLD)$(LINK) $(t_openpam_dispatch_OBJECTS) $(t_openpam_dispatch_LDADD) $(LIBS)
622
623t_openpam_readlinev$(EXEEXT): $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_DEPENDENCIES) $(EXTRA_t_openpam_readlinev_DEPENDENCIES)
624	@rm -f t_openpam_readlinev$(EXEEXT)
625	$(AM_V_CCLD)$(LINK) $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_LDADD) $(LIBS)
626
627t_openpam_readword$(EXEEXT): $(t_openpam_readword_OBJECTS) $(t_openpam_readword_DEPENDENCIES) $(EXTRA_t_openpam_readword_DEPENDENCIES)
628	@rm -f t_openpam_readword$(EXEEXT)
629	$(AM_V_CCLD)$(LINK) $(t_openpam_readword_OBJECTS) $(t_openpam_readword_LDADD) $(LIBS)
630
631mostlyclean-compile:
632	-rm -f *.$(OBJEXT)
633
634distclean-compile:
635	-rm -f *.tab.c
636
637@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_ctype.Po@am__quote@
638@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_dispatch.Po@am__quote@
639@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readlinev.Po@am__quote@
640@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readword.Po@am__quote@
641@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pam_conv.Po@am__quote@
642
643.c.o:
644@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
645@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
646@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
647@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
649
650.c.obj:
651@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
652@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
653@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
654@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
656
657.c.lo:
658@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
659@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
660@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
661@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
663
664mostlyclean-libtool:
665	-rm -f *.lo
666
667clean-libtool:
668	-rm -rf .libs _libs
669
670ID: $(am__tagged_files)
671	$(am__define_uniq_tagged_files); mkid -fID $$unique
672tags: tags-am
673TAGS: tags
674
675tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
676	set x; \
677	here=`pwd`; \
678	$(am__define_uniq_tagged_files); \
679	shift; \
680	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
681	  test -n "$$unique" || unique=$$empty_fix; \
682	  if test $$# -gt 0; then \
683	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
684	      "$$@" $$unique; \
685	  else \
686	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
687	      $$unique; \
688	  fi; \
689	fi
690ctags: ctags-am
691
692CTAGS: ctags
693ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
694	$(am__define_uniq_tagged_files); \
695	test -z "$(CTAGS_ARGS)$$unique" \
696	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
697	     $$unique
698
699GTAGS:
700	here=`$(am__cd) $(top_builddir) && pwd` \
701	  && $(am__cd) $(top_srcdir) \
702	  && gtags -i $(GTAGS_ARGS) "$$here"
703cscopelist: cscopelist-am
704
705cscopelist-am: $(am__tagged_files)
706	list='$(am__tagged_files)'; \
707	case "$(srcdir)" in \
708	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
709	  *) sdir=$(subdir)/$(srcdir) ;; \
710	esac; \
711	for i in $$list; do \
712	  if test -f "$$i"; then \
713	    echo "$(subdir)/$$i"; \
714	  else \
715	    echo "$$sdir/$$i"; \
716	  fi; \
717	done >> $(top_builddir)/cscope.files
718
719distclean-tags:
720	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
721
722# Recover from deleted '.trs' file; this should ensure that
723# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
724# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
725# to avoid problems with "make -n".
726.log.trs:
727	rm -f $< $@
728	$(MAKE) $(AM_MAKEFLAGS) $<
729
730# Leading 'am--fnord' is there to ensure the list of targets does not
731# expand to empty, as could happen e.g. with make check TESTS=''.
732am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
733am--force-recheck:
734	@:
735
736$(TEST_SUITE_LOG): $(TEST_LOGS)
737	@$(am__set_TESTS_bases); \
738	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
739	redo_bases=`for i in $$bases; do \
740	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
741	            done`; \
742	if test -n "$$redo_bases"; then \
743	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
744	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
745	  if $(am__make_dryrun); then :; else \
746	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
747	  fi; \
748	fi; \
749	if test -n "$$am__remaking_logs"; then \
750	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
751	       "recursion detected" >&2; \
752	elif test -n "$$redo_logs"; then \
753	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
754	fi; \
755	if $(am__make_dryrun); then :; else \
756	  st=0;  \
757	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
758	  for i in $$redo_bases; do \
759	    test -f $$i.trs && test -r $$i.trs \
760	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
761	    test -f $$i.log && test -r $$i.log \
762	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
763	  done; \
764	  test $$st -eq 0 || exit 1; \
765	fi
766	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
767	ws='[ 	]'; \
768	results=`for b in $$bases; do echo $$b.trs; done`; \
769	test -n "$$results" || results=/dev/null; \
770	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
771	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
772	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
773	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
774	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
775	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
776	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
777	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
778	  success=true; \
779	else \
780	  success=false; \
781	fi; \
782	br='==================='; br=$$br$$br$$br$$br; \
783	result_count () \
784	{ \
785	    if test x"$$1" = x"--maybe-color"; then \
786	      maybe_colorize=yes; \
787	    elif test x"$$1" = x"--no-color"; then \
788	      maybe_colorize=no; \
789	    else \
790	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
791	    fi; \
792	    shift; \
793	    desc=$$1 count=$$2; \
794	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
795	      color_start=$$3 color_end=$$std; \
796	    else \
797	      color_start= color_end=; \
798	    fi; \
799	    echo "$${color_start}# $$desc $$count$${color_end}"; \
800	}; \
801	create_testsuite_report () \
802	{ \
803	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
804	  result_count $$1 "PASS: " $$pass  "$$grn"; \
805	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
806	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
807	  result_count $$1 "FAIL: " $$fail  "$$red"; \
808	  result_count $$1 "XPASS:" $$xpass "$$red"; \
809	  result_count $$1 "ERROR:" $$error "$$mgn"; \
810	}; \
811	{								\
812	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
813	    $(am__rst_title);						\
814	  create_testsuite_report --no-color;				\
815	  echo;								\
816	  echo ".. contents:: :depth: 2";				\
817	  echo;								\
818	  for b in $$bases; do echo $$b; done				\
819	    | $(am__create_global_log);					\
820	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
821	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
822	if $$success; then						\
823	  col="$$grn";							\
824	 else								\
825	  col="$$red";							\
826	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
827	fi;								\
828	echo "$${col}$$br$${std}"; 					\
829	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
830	echo "$${col}$$br$${std}"; 					\
831	create_testsuite_report --maybe-color;				\
832	echo "$$col$$br$$std";						\
833	if $$success; then :; else					\
834	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
835	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
836	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
837	  fi;								\
838	  echo "$$col$$br$$std";					\
839	fi;								\
840	$$success || exit 1
841
842check-TESTS:
843	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
844	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
845	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
846	@set +e; $(am__set_TESTS_bases); \
847	log_list=`for i in $$bases; do echo $$i.log; done`; \
848	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
849	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
850	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
851	exit $$?;
852recheck: all $(check_LIBRARIES) $(check_PROGRAMS)
853	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
854	@set +e; $(am__set_TESTS_bases); \
855	bases=`for i in $$bases; do echo $$i; done \
856	         | $(am__list_recheck_tests)` || exit 1; \
857	log_list=`for i in $$bases; do echo $$i.log; done`; \
858	log_list=`echo $$log_list`; \
859	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
860	        am__force_recheck=am--force-recheck \
861	        TEST_LOGS="$$log_list"; \
862	exit $$?
863t_openpam_ctype.log: t_openpam_ctype$(EXEEXT)
864	@p='t_openpam_ctype$(EXEEXT)'; \
865	b='t_openpam_ctype'; \
866	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
867	--log-file $$b.log --trs-file $$b.trs \
868	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
869	"$$tst" $(AM_TESTS_FD_REDIRECT)
870t_openpam_dispatch.log: t_openpam_dispatch$(EXEEXT)
871	@p='t_openpam_dispatch$(EXEEXT)'; \
872	b='t_openpam_dispatch'; \
873	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
874	--log-file $$b.log --trs-file $$b.trs \
875	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
876	"$$tst" $(AM_TESTS_FD_REDIRECT)
877t_openpam_readword.log: t_openpam_readword$(EXEEXT)
878	@p='t_openpam_readword$(EXEEXT)'; \
879	b='t_openpam_readword'; \
880	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
881	--log-file $$b.log --trs-file $$b.trs \
882	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
883	"$$tst" $(AM_TESTS_FD_REDIRECT)
884t_openpam_readlinev.log: t_openpam_readlinev$(EXEEXT)
885	@p='t_openpam_readlinev$(EXEEXT)'; \
886	b='t_openpam_readlinev'; \
887	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
888	--log-file $$b.log --trs-file $$b.trs \
889	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
890	"$$tst" $(AM_TESTS_FD_REDIRECT)
891.test.log:
892	@p='$<'; \
893	$(am__set_b); \
894	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
895	--log-file $$b.log --trs-file $$b.trs \
896	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
897	"$$tst" $(AM_TESTS_FD_REDIRECT)
898@am__EXEEXT_TRUE@.test$(EXEEXT).log:
899@am__EXEEXT_TRUE@	@p='$<'; \
900@am__EXEEXT_TRUE@	$(am__set_b); \
901@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
902@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
903@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
904@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
905
906distdir: $(DISTFILES)
907	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
908	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
909	list='$(DISTFILES)'; \
910	  dist_files=`for file in $$list; do echo $$file; done | \
911	  sed -e "s|^$$srcdirstrip/||;t" \
912	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
913	case $$dist_files in \
914	  */*) $(MKDIR_P) `echo "$$dist_files" | \
915			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
916			   sort -u` ;; \
917	esac; \
918	for file in $$dist_files; do \
919	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
920	  if test -d $$d/$$file; then \
921	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
922	    if test -d "$(distdir)/$$file"; then \
923	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
924	    fi; \
925	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
926	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
927	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
928	    fi; \
929	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
930	  else \
931	    test -f "$(distdir)/$$file" \
932	    || cp -p $$d/$$file "$(distdir)/$$file" \
933	    || exit 1; \
934	  fi; \
935	done
936check-am: all-am
937	$(MAKE) $(AM_MAKEFLAGS) $(check_LIBRARIES) $(check_PROGRAMS)
938	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
939check: check-am
940all-am: Makefile $(HEADERS)
941installdirs:
942install: install-am
943install-exec: install-exec-am
944install-data: install-data-am
945uninstall: uninstall-am
946
947install-am: all-am
948	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
949
950installcheck: installcheck-am
951install-strip:
952	if test -z '$(STRIP)'; then \
953	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
954	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
955	      install; \
956	else \
957	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
958	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
959	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
960	fi
961mostlyclean-generic:
962	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
963	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
964	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
965
966clean-generic:
967
968distclean-generic:
969	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
970	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
971
972maintainer-clean-generic:
973	@echo "This command is intended for maintainers to use"
974	@echo "it deletes files that may require special tools to rebuild."
975clean: clean-am
976
977clean-am: clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
978	clean-libtool mostlyclean-am
979
980distclean: distclean-am
981	-rm -rf ./$(DEPDIR)
982	-rm -f Makefile
983distclean-am: clean-am distclean-compile distclean-generic \
984	distclean-tags
985
986dvi: dvi-am
987
988dvi-am:
989
990html: html-am
991
992html-am:
993
994info: info-am
995
996info-am:
997
998install-data-am:
999
1000install-dvi: install-dvi-am
1001
1002install-dvi-am:
1003
1004install-exec-am:
1005
1006install-html: install-html-am
1007
1008install-html-am:
1009
1010install-info: install-info-am
1011
1012install-info-am:
1013
1014install-man:
1015
1016install-pdf: install-pdf-am
1017
1018install-pdf-am:
1019
1020install-ps: install-ps-am
1021
1022install-ps-am:
1023
1024installcheck-am:
1025
1026maintainer-clean: maintainer-clean-am
1027	-rm -rf ./$(DEPDIR)
1028	-rm -f Makefile
1029maintainer-clean-am: distclean-am maintainer-clean-generic
1030
1031mostlyclean: mostlyclean-am
1032
1033mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1034	mostlyclean-libtool
1035
1036pdf: pdf-am
1037
1038pdf-am:
1039
1040ps: ps-am
1041
1042ps-am:
1043
1044uninstall-am:
1045
1046.MAKE: check-am install-am install-strip
1047
1048.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1049	clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
1050	clean-libtool cscopelist-am ctags ctags-am distclean \
1051	distclean-compile distclean-generic distclean-libtool \
1052	distclean-tags distdir dvi dvi-am html html-am info info-am \
1053	install install-am install-data install-data-am install-dvi \
1054	install-dvi-am install-exec install-exec-am install-html \
1055	install-html-am install-info install-info-am install-man \
1056	install-pdf install-pdf-am install-ps install-ps-am \
1057	install-strip installcheck installcheck-am installdirs \
1058	maintainer-clean maintainer-clean-generic mostlyclean \
1059	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1060	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1061	uninstall-am
1062
1063.PRECIOUS: Makefile
1064
1065
1066# Tell versions [3.59,3.63) of GNU make to not export all variables.
1067# Otherwise a system limit (for SysV at least) may be exceeded.
1068.NOEXPORT:
1069